Bug 1264337 - Review Request: semweb4j - Java RDF Library
Review Request: semweb4j - Java RDF Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: My Karlsson
Fedora Extras Quality Assurance
:
Depends On: 1235950 1241447 1267890
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 04:52 EDT by gil cattaneo
Modified: 2016-02-26 02:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 02:24:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mk: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2015-09-18 04:52:39 EDT
Spec URL: https://gil.fedorapeople.org/semweb4j.spec
SRPM URL: https://gil.fedorapeople.org/semweb4j-5.0.1-1.fc22.src.rpm
Description:
The Semweb4j project gives you simple libraries to do
complicated things with Java and RDF. Very little
semantic web knowledge is required.
Fedora Account System Username: gil
Comment 2 Upstream Release Monitoring 2015-12-03 00:52:00 EST
gil's scratch build of semweb4j-5.0.1-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12035216
Comment 3 My Karlsson 2016-02-13 17:31:22 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



Issues:
=======
- License check detected this one file licensed under AFL-3.0.
  Perhaps add it to the license field before importing the package.

AFL-3.0.
--------
semweb4j-rootbuilder-5.0.1/org.semweb4j.rdf2go.impl.sesame/src/main/java/org/openrdf/rdf2go/osgi/Activator.java



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "AFL-3.0.", "Unknown or generated". 322 files
     have unknown license. Detailed output of licensecheck in
     /home/mk/fedora/review-semweb4j/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     semweb4j-bom , semweb4j-dist , semweb4j-parent , semweb4j-rdf2go-dist
     , semweb4j-rdf2go-impl-sesame , semweb4j-rdfreactor-dist , semweb4j-
     rdfreactor-generator , semweb4j-rdfreactor-runtime , semweb4j-
     rdfreactor-maven-plugin , semweb4j-root , semweb4j-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: semweb4j-5.0.1-1.fc24.noarch.rpm
          semweb4j-bom-5.0.1-1.fc24.noarch.rpm
          semweb4j-dist-5.0.1-1.fc24.noarch.rpm
          semweb4j-parent-5.0.1-1.fc24.noarch.rpm
          semweb4j-rdf2go-dist-5.0.1-1.fc24.noarch.rpm
          semweb4j-rdf2go-impl-sesame-5.0.1-1.fc24.noarch.rpm
          semweb4j-rdfreactor-dist-5.0.1-1.fc24.noarch.rpm
          semweb4j-rdfreactor-generator-5.0.1-1.fc24.noarch.rpm
          semweb4j-rdfreactor-runtime-5.0.1-1.fc24.noarch.rpm
          semweb4j-rdfreactor-maven-plugin-5.0.1-1.fc24.noarch.rpm
          semweb4j-root-5.0.1-1.fc24.noarch.rpm
          semweb4j-javadoc-5.0.1-1.fc24.noarch.rpm
          semweb4j-5.0.1-1.fc24.src.rpm
semweb4j-bom.noarch: W: no-documentation
semweb4j-dist.noarch: W: no-documentation
semweb4j-parent.noarch: W: no-documentation
semweb4j-rdf2go-dist.noarch: W: no-documentation
semweb4j-rdfreactor-dist.noarch: W: no-documentation
semweb4j-rdfreactor-generator.noarch: W: no-documentation
semweb4j-rdfreactor-runtime.noarch: W: no-documentation
semweb4j-rdfreactor-maven-plugin.noarch: W: no-documentation
semweb4j-root.noarch: W: no-documentation
13 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
semweb4j-root.noarch: W: no-documentation
semweb4j-rdfreactor-runtime.noarch: W: no-documentation
semweb4j-rdfreactor-maven-plugin.noarch: W: no-documentation
semweb4j-bom.noarch: W: no-documentation
semweb4j-dist.noarch: W: no-documentation
semweb4j-rdf2go-dist.noarch: W: no-documentation
semweb4j-rdfreactor-generator.noarch: W: no-documentation
semweb4j-rdfreactor-dist.noarch: W: no-documentation
semweb4j-parent.noarch: W: no-documentation
12 packages and 0 specfiles checked; 0 errors, 9 warnings.



Requires
--------
semweb4j-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

semweb4j-root (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.semweb4j:parent:pom:)
    mvn(org.slf4j:slf4j-api)

semweb4j-rdfreactor-runtime (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.semweb4j:rdf2go.api)
    mvn(org.slf4j:slf4j-api)

semweb4j-rdfreactor-maven-plugin (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(log4j:log4j:1.2.17)
    mvn(org.apache.maven:maven-plugin-api)
    mvn(org.apache.maven:maven-project)
    mvn(org.semweb4j:rdfreactor.generator)
    mvn(org.slf4j:slf4j-api)
    mvn(org.slf4j:slf4j-log4j12)

semweb4j-bom (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.semweb4j:parent:pom:)
    mvn(org.slf4j:slf4j-api)

semweb4j-dist (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.semweb4j:parent:pom:)
    mvn(org.semweb4j:rdf2go.dist:pom:)
    mvn(org.semweb4j:rdfreactor.dist:pom:)
    mvn(org.slf4j:slf4j-api)

semweb4j-rdf2go-dist (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.maven.plugins:maven-jar-plugin)
    mvn(org.semweb4j:parent:pom:)
    mvn(org.semweb4j:rdf2go.api)
    mvn(org.semweb4j:rdf2go.impl.sesame)
    mvn(org.slf4j:slf4j-api)

semweb4j-rdfreactor-generator (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(log4j:log4j:1.2.17)
    mvn(org.semweb4j:rdf2go.impl.sesame)
    mvn(org.semweb4j:rdfreactor.runtime)
    mvn(org.slf4j:slf4j-api)
    mvn(org.slf4j:slf4j-log4j12)
    mvn(velocity:velocity)

semweb4j (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.slf4j:slf4j-api)

semweb4j-rdfreactor-dist (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.semweb4j:parent:pom:)
    mvn(org.semweb4j:rdfreactor-maven-plugin)
    mvn(org.semweb4j:rdfreactor.generator)
    mvn(org.semweb4j:rdfreactor.runtime)
    mvn(org.slf4j:slf4j-api)

semweb4j-rdf2go-impl-sesame (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(com.github.jsonld-java:jsonld-java-tools)
    mvn(org.openrdf.sesame:sesame-repository-http)
    mvn(org.openrdf.sesame:sesame-repository-sail)
    mvn(org.openrdf.sesame:sesame-rio-rdfjson)
    mvn(org.openrdf.sesame:sesame-rio-rdfxml)
    mvn(org.openrdf.sesame:sesame-rio-trig)
    mvn(org.openrdf.sesame:sesame-runtime-osgi)
    mvn(org.openrdf.sesame:sesame-sail-memory)
    mvn(org.semweb4j:rdf2go.api)
    mvn(org.slf4j:slf4j-api)

semweb4j-parent (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(org.apache.maven.plugins:maven-compiler-plugin)
    mvn(org.apache.maven.plugins:maven-jar-plugin)
    mvn(org.slf4j:slf4j-api)
    mvn(org.sonatype.oss:oss-parent:pom:)



Provides
--------
semweb4j-javadoc:
    semweb4j-javadoc

semweb4j-root:
    mvn(org.semweb4j:rootbuilder:pom:)
    semweb4j-root

semweb4j-rdfreactor-runtime:
    mvn(org.semweb4j:rdfreactor.runtime)
    mvn(org.semweb4j:rdfreactor.runtime:pom:)
    semweb4j-rdfreactor-runtime

semweb4j-rdfreactor-maven-plugin:
    mvn(org.semweb4j:rdfreactor-maven-plugin)
    mvn(org.semweb4j:rdfreactor-maven-plugin:pom:)
    semweb4j-rdfreactor-maven-plugin

semweb4j-bom:
    mvn(org.semweb4j:bom:pom:)
    semweb4j-bom

semweb4j-dist:
    mvn(org.semweb4j:dist:pom:)
    semweb4j-dist

semweb4j-rdf2go-dist:
    mvn(org.semweb4j:rdf2go.dist:pom:)
    semweb4j-rdf2go-dist

semweb4j-rdfreactor-generator:
    mvn(org.semweb4j:rdfreactor.generator)
    mvn(org.semweb4j:rdfreactor.generator:pom:)
    semweb4j-rdfreactor-generator

semweb4j:
    mvn(org.semweb4j:rdf2go.api)
    mvn(org.semweb4j:rdf2go.api:pom:)
    osgi(org.semweb4j.rdf2go.api)
    semweb4j

semweb4j-rdfreactor-dist:
    mvn(org.semweb4j:rdfreactor.dist:pom:)
    semweb4j-rdfreactor-dist

semweb4j-rdf2go-impl-sesame:
    mvn(org.semweb4j:rdf2go.impl.sesame)
    mvn(org.semweb4j:rdf2go.impl.sesame:pom:)
    osgi(org.semweb4j.rdf2go.impl.sesame23)
    semweb4j-rdf2go-impl-sesame

semweb4j-parent:
    mvn(org.semweb4j:parent:pom:)
    semweb4j-parent



Source checksums
----------------
https://github.com/semweb4j/semweb4j/archive/rootbuilder-5.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 3158fadea029af675323f9a354e37084d44b569e39b08f0439d1a8e02149938b
  CHECKSUM(SHA256) upstream package : 3158fadea029af675323f9a354e37084d44b569e39b08f0439d1a8e02149938b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -u https://bugzilla.redhat.com/show_bug.cgi?id=1264337
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 gil cattaneo 2016-02-13 17:49:45 EST
(In reply to Marcus Karlsson from comment #3)
> Package Review

> Issues:
> =======
> - License check detected this one file licensed under AFL-3.0.
>   Perhaps add it to the license field before importing the package.
> 
> AFL-3.0.
> --------
> semweb4j-rootbuilder-5.0.1/org.semweb4j.rdf2go.impl.sesame/src/main/java/org/
> openrdf/rdf2go/osgi/Activator.java
> 
> 
> 
> ===== MUST items =====
> 
> Generic:

> [!]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "BSD (3 clause)", "AFL-3.0.", "Unknown or generated". 322 files
>      have unknown license. Detailed output of licensecheck in
>      /home/mk/fedora/review-semweb4j/licensecheck.txt

Done

Spec URL: https://gil.fedorapeople.org/semweb4j.spec
SRPM URL: https://gil.fedorapeople.org/semweb4j-5.0.1-1.fc23.src.rpm

Thanks for the review
Comment 5 Gwyn Ciesla 2016-02-14 10:22:48 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/semweb4j
Comment 6 Fedora Update System 2016-02-14 12:04:06 EST
semweb4j-5.0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c13e3f651
Comment 7 Fedora Update System 2016-02-17 01:30:07 EST
semweb4j-5.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7c13e3f651
Comment 8 Fedora Update System 2016-02-26 02:24:19 EST
semweb4j-5.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.